GetEvalRunAPI mirrors erdo_get_eval_run.
curl --request GET \
--url https://api.erdo.ai/v1/evals/runs/{runID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/evals/runs/{runID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/evals/runs/{runID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"context": {},
"created_at": "2023-11-07T05:31:56Z",
"evaluators": [
{
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"script": "<string>",
"type": "<string>",
"weight": 123
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": "<string>",
"name": "<string>",
"rubric": [
{
"criterion": "<string>",
"weight": 123
}
],
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"results": [
{
"agent_error": "<string>",
"agent_output": "<string>",
"agent_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_millicents": 123,
"created_at": "2023-11-07T05:31:56Z",
"duration_ms": -1,
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judge_criteria_scores": [
{
"criterion": "<string>",
"reasoning": "<string>",
"score": 123,
"weight": 123
}
],
"judge_reasoning": "<string>",
"passed": true,
"score": 123,
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokens_used": -1
}
],
"run": {
"agent_model": "<string>",
"avg_score": 123,
"commit_sha": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"passed_cases": -1,
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"suite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_cases": -1,
"total_cost_millicents": 123,
"total_duration_ms": 123,
"triggered_by": "<string>"
}
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
GetEvalRunAPI mirrors erdo_get_eval_run.
GET
/
v1
/
evals
/
runs
/
{runID}
GetEvalRunAPI mirrors erdo_get_eval_run.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Path Parameters
⌘I

